Alembic: Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::AwImpl Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::AwImpl Class Reference
Inheritance diagram for Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::AwImpl:
[legend]
Collaboration diagram for Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::AwImpl:
[legend]

## Public Member Functions
virtual const std::string & | getName () const
virtual const AbcA::MetaData & | getMetaData () const
virtual AbcA::ObjectWriterPtr | getTop ()
virtual AbcA::ArchiveWriterPtr | asArchivePtr ()
WrittenSampleMap & | getWrittenSampleMap ()
MetaDataMapPtr | getMetaDataMap ()
virtual Util::uint32_t | addTimeSampling (const AbcA::TimeSampling &iTs)
virtual AbcA::TimeSamplingPtr | getTimeSampling (Util::uint32_t iIndex)
virtual Util::uint32_t | getNumTimeSamplings ()
virtual AbcA::index_t | getMaxNumSamplesForTimeSamplingIndex (Util::uint32_t iIndex)
virtual void | setMaxNumSamplesForTimeSamplingIndex (Util::uint32_t iIndex, AbcA::index_t iMaxIndex)
Public Member Functions inherited from Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveWriter
virtual | ~ArchiveWriter ()
int8_t | getCompressionHint () const
void | setCompressionHint (int8_t iCh)
virtual uint32_t | addTimeSampling (const TimeSampling &iTs)=0
virtual TimeSamplingPtr | getTimeSampling (uint32_t iIndex)=0
virtual index_t | getMaxNumSamplesForTimeSamplingIndex (uint32_t iIndex)=0
virtual void | setMaxNumSamplesForTimeSamplingIndex (uint32_t iIndex, index_t iMaxIndex)=0

## Friends
class | WriteArchive

## Member Function Documentation

## ◆ asArchivePtr()

AbcA::ArchiveWriterPtr Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::AwImpl::asArchivePtr | ( |  | ) |
| virtual

Return self May sometimes be spoofed.

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveWriter.

## ◆ getMetaData()

const AbcA::MetaData & Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::AwImpl::getMetaData | ( |  | ) | const
| virtual

The meta data of the archive is the same as the meta data of the top-level object writer.

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveWriter.

## ◆ getName()

const std::string & Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::AwImpl::getName | ( |  | ) | const
| virtual

Return the archive (file) name. This is the name of the file which the archive writer is associated with.

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveWriter.

## ◆ getNumTimeSamplings()

virtual Util::uint32_t Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::AwImpl::getNumTimeSamplings | ( |  | ) |
| inlinevirtual

Returns the total number of TimeSamplingPtrs in the Archive TimeSampling pool.

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveWriter.

## ◆ getTop()

AbcA::ObjectWriterPtr Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::AwImpl::getTop | ( |  | ) |
| virtual

Get the top object writer. Archives always have this single top-level object created automatically.

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveWriter.

The documentation for this class was generated from the following files:

- AbcCoreOgawa/AwImpl.h
- AbcCoreOgawa/AwImpl.cpp